Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

OpenH264 fails to install with HTTPS-Only mode enabled

  • 5 replies
  • 6 have this problem
  • 278 views
  • Last reply by Andrej

more options

"OpenH264 Video Codec provided by Cisco Systems, Inc." plugin will sit in the "will be installed shortly" status forever if you have HTTPS-Only mode enabled. I have been pulling my hair out for the last few days trying to figure out why I couldn't play YouTube or many other sites videos.

Turns out the site that the library is downloaded from has a bad certificate installed: https://ciscobinary.openh264.org/libopenh264-2.3.0-linux64.6.so.bz2

``` Websites prove their identity via certificates. Firefox does not trust this site because it uses a certificate that is not valid for ciscobinary.openh264.org. The certificate is only valid for the following names: a248.e.akamai.net, *.akamaihd-staging.net, *.akamaihd.net, *.akamaized-staging.net, *.akamaized.net

Error code: SSL_ERROR_BAD_CERT_DOMAIN ```

OS: Fedora 36 Firefox Version: 104.0 (64-bit)

"OpenH264 Video Codec provided by Cisco Systems, Inc." plugin will sit in the "will be installed shortly" status forever if you have HTTPS-Only mode enabled. I have been pulling my hair out for the last few days trying to figure out why I couldn't play YouTube or many other sites videos. Turns out the site that the library is downloaded from has a bad certificate installed: https://ciscobinary.openh264.org/libopenh264-2.3.0-linux64.6.so.bz2 ``` Websites prove their identity via certificates. Firefox does not trust this site because it uses a certificate that is not valid for ciscobinary.openh264.org. The certificate is only valid for the following names: a248.e.akamai.net, *.akamaihd-staging.net, *.akamaihd.net, *.akamaized-staging.net, *.akamaized.net Error code: SSL_ERROR_BAD_CERT_DOMAIN ``` OS: Fedora 36 Firefox Version: 104.0 (64-bit)

Chosen solution

To fix this issue, disable HTTPS-Only mode. This isn't a request for help, but rather a bug report.

Read this answer in context 👍 1

All Replies (5)

more options

Chosen Solution

To fix this issue, disable HTTPS-Only mode. This isn't a request for help, but rather a bug report.

Helpful?

more options

Nickolas Gupton said

"OpenH264 Video Codec provided by Cisco Systems, Inc." plugin will sit in the "will be installed shortly" status forever if you have HTTPS-Only mode enabled. I have been pulling my hair out for the last few days trying to figure out why I couldn't play YouTube or many other sites videos.

What the OpenH264 plugin is for https://support.mozilla.org/en-US/kb/open-h264-plugin-firefox

One package to make sure you have installed on Linux is FFmpeg so you can fully support the HTML5 players used for video, audio and games on sites like Youtube, Twitch and news sites.

Helpful?

more options

James said

What the OpenH264 plugin is for https://support.mozilla.org/en-US/kb/open-h264-plugin-firefox One package to make sure you have installed on Linux is FFmpeg so you can fully support the HTML5 players used for video, audio and games on sites like Youtube, Twitch and news sites.

Yes, I am aware what the plugin is for and I already provided a temporary solution to the problem, this is just a bug report for that issue to be fixed by the Firefox devs. Things are working fine for me now that the plugin has installed, problem was just getting it installed since the HTTPS certificate for the domain it is downloaded from is invalid.

Helpful?

more options

I'm not sure why Firefox would upgrade such a http:// link to secure HTTPS to access a server that doesn't support secure connections and only works with http://.

  • chrome://global/content/gmp-sources/openh264.json

Helpful?

more options

But how do I fix this? I dasbled HTTPS-only mode and it still doesn't work.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.